---
title: Get Google Tag Gateway configuration
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Google Tag Gateway](https://developers.cloudflare.com/api/typescript/resources/google_tag_gateway)

[Config](https://developers.cloudflare.com/api/typescript/resources/google_tag_gateway/subresources/config)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Google Tag Gateway configuration

client.googleTagGateway.config.get(ConfigGetParams {zone\_id } params, RequestOptionsoptions?): [Config](<https://developers.cloudflare.com/api/typescript/resources/google_tag_gateway#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)>) {enabled, endpoint, hideOriginalIp, 2 more }

GET/zones/{zone\_id}/settings/google-tag-gateway/config

Gets the Google Tag Gateway configuration for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zaraz Edit``Zaraz Read``Zaraz Admin`

##### ParametersExpand Collapse

<details>

<summary>

params: ConfigGetParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20google_tag_gateway.config%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

Config {enabled, endpoint, hideOriginalIp, 2 more }

Google Tag Gateway configuration for a zone.

</summary>

enabled: boolean

Enables or disables Google Tag Gateway for this zone.

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

endpoint: string

Specifies the endpoint path for proxying Google Tag Manager requests. Use an absolute path starting with ’/’, with no nested paths and alphanumeric characters only (e.g. /metrics).

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

hideOriginalIp: boolean

Hides the original client IP address from Google when enabled.

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)%20%3E%20(property)%20hideOriginalIp">Link to this property</a>

measurementId: string

Specify the Google Tag Manager container or measurement ID (e.g. GTM-XXXXXXX or G-XXXXXXXXXX).

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)%20%3E%20(property)%20measurementId">Link to this property</a>

setUpTag?: boolean| null

Set up the associated Google Tag on the zone automatically when enabled.

<a href="#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)%20%3E%20(property)%20setUpTag">Link to this property</a>

</details>

[Link to this property](<#(resource)%20google_tag_gateway.config%20%3E%20(model)%20config%20%3E%20(schema)>)

### Get Google Tag Gateway configuration

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const config = await client.googleTagGateway.config.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(config.hideOriginalIp);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "endpoint": "/metrics",
    "hideOriginalIp": true,
    "measurementId": "GTM-P2F3N47Q",
    "setUpTag": true
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "endpoint": "/metrics",
    "hideOriginalIp": true,
    "measurementId": "GTM-P2F3N47Q",
    "setUpTag": true
  }
}
```